Subject: RE: [Sipping] Media Description Methodology

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 30 Jul 2001 12:50:54 -0400

> -----Original Message-----
> From: Fred Robinson [mailto:[email-masked]]
> Sent: Monday, July 16, 2001 3:28 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sipping] Media Description Methodology
> 
> 
> After reviewing the SIP archives, and the recent post from van Wijk 
> regarding "SIP Support for Hearing and Speech Impaired Users," 
> draft-vanwijk-sipping-deaf-req-00.txt, I would like to stir a 
> discussion, if 
> I may, on the carriage of media description in SIP.
> 
> From the archives, I noted that in "An Application Server Component 
> Architecture for SIP," 
> draft-rosenberg-sip-app-components-01.txt, Rosenberg, 
> et. al., the use of http GET is suggested as the method to 
> request scipted 
> responses, eg., IVR Prompt Playing, and/or services to be 
> executed, eg., TTS 
> translation.  In "SIP Support for...," van Wijk, et. al., the 
> examples seem 
> to suggest that IVR and/or TTS instructions shall be passed 
> in the SDP.  

I must admit that I am at a loss as to where in this document the notion
that "IVR or TTS instructions" are carried in SDP is conveyed. Can you
please point out the precise section or paragraph or example flow which
leaves that impression?

There is a server in the architecture that performs real-time text-to-speech
conversion. Because this is real-time, an RTP stream with text is needed as
input, and an RTP stream of audio is output. Thus, the SDP needs to contain
these streams. However, when the TTS service is invoked, it is the
request-URI which indicates that a tts service is desired. In general, the
request URI is the identifier of the user or service being invoked. This is
the model used in rfc3087, draft-rosenberg-sip-vxml, draft-burger-sip-msuri
and draft-burger-sip-netann, and that is what is meant here.

> However, in Rosenberg, et. al., the latter method is not recommended.
> 
> Fishing for clarity;
> 	- Are there changing attitudes about the 
> proper/acceptable manner to pass 
> media descriptions in SIP, since Rosenberg, et. al., March 2001?

Just solidification of the ideas in there, reflected in the above drafts I
have mentioend.

> 	- Is SDP the proper MIME body to carry media 
> descriptions for services such 
> as IVR, TTS, Conferencing, Speech Recognition, etc.?

No.

Thanks,
Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP